# Uses of Interface
org.eclipse.birt.report.engine.content.ITableBandContent

Packages that use ITableBandContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of ITableBandContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ITableBandContent
Modifier and Type
Method
Description
`ITableBandContent`
IReportContent.`createTableBandContent()`
Create the table band content
`ITableBandContent`
ITableContent.`getFooter()`
Get the footer band, return null if the table has no footer
`ITableBandContent`
ITableContent.`getHeader()`
Get the header band, return null if the table has no header
Methods in org.eclipse.birt.report.engine.content with parameters of type ITableBandContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitTableBand(ITableBandContent tableBand, Object value)`
visit table band

## Uses of ITableBandContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type ITableBandContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endTableBand(ITableBandContent band)`
End table band
`void`
IContentEmitter.`startTableBand(ITableBandContent band)`
Start table band